versioni ide per vecchio win xp

buongiorno a tutti, è da poco che cerco di programmare qualcosa e mi trovo bene, finora ho usato arduino uno, qualche ingresso e display e programmato tramite ide 1.8.2 , tutto ok.

adesso volevo programmare usando un mio vecchio pc, P2 466Mzx 128M Ram che ha su win xp ( pezzo da museo ma che va ancora) sono riuscito a far andare la versione 1.0.5 e riesco a comunicare e caricare programmi base ma non riesco a caricare delle librerie ho un programma che mi usa la liquidcristal I2C ma non riesco a importarla: la seleziono .zip ma poi non viene caricata, nella cartella documenti\arduino\librarie non aggiunge niente, se compilo lo sketck mi da errore giustamente. se invece tento di aprire la versione 1.8.2 mi da errore "impossibile trovare punto ingresso decodepointer...... kernel23.dll ( ho anche provato le versioni 1.0 // 0013 // 0019 )

cosa posso fare per far andare, magari la versione 1.8.2 o altre grazie

metti 2G di RAM nel PC.
Ciao Uwe

Io ho XP ma con 3Gb di ram e non ho problemi con nessuna versione. Ho la 1.0.6, la 1.6.5 e l'ultimissima.

L'unico consiglio saggio è di installare linux e di abbandonare Windows XP. Se compri una scheda come odroid o orange pi avrai più prestazioni di quel pc al prezzo dell'upgrade di ram e te lo ripagherai con il minor consumo elettrico.